Zandronum Chat on our Discord Server Get the latest version: 3.0
Source Code

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000620Doomseeker[All Projects] Suggestionpublic2011-11-11 19:532018-09-29 14:46
ReporterZalewa 
Assigned ToZalewa 
PrioritynormalSeverityminorReproducibilityN/A
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version0.7 Beta 
Target Version0.8 BetaFixed in Version0.11.1 Beta 
Summary0000620: Add a way to store and manage multiple passwords.
DescriptionAdd a way to store and manage multiple passwords. This applies to passwords which are used to connect to servers.
Attached Filesjpg file icon doomseeker-server-passwords-manager.jpg [^] (110,922 bytes) 2013-11-25 19:53

- Relationships
has duplicate 0001580closed Have Doomseeker save Multiple Server Passwords 

-  Notes
User avatar (0002302)
Blzut3 (administrator)
2011-11-12 20:42

One thing to add to this is we might want to save passwords to a separate ini file. This way, should it be needed, we can safely request a user's doomseeker.ini be posted.
User avatar (0002303)
Zalewa (developer)
2011-11-12 20:46

Good idea. I was also thinking we could save on which servers given password was used. The information saved would be name (for user's convenience), ip and port. Next time user tries to join the same server we could select the password that was last used on it.
User avatar (0007560)
DevilHunter (reporter)
2013-11-15 05:08

Right, so seeing as this was found, after all that time I was searching.. Was this even worked on?
User avatar (0007561)
Zalewa (developer)
2013-11-15 17:11

Not yet, but it will be.
User avatar (0007602)
Zalewa (developer)
2013-11-25 19:38

Question:
What should we do with whitespace passwords? Is it possible for game engines to have passwords that consist solely of spacebars? Should we allow the password manager to remember them?
User avatar (0007603)
Zalewa (developer)
2013-11-25 19:53

Regardless my question here's the current status of the password manager:

- All passwords are now stored in a separate "doomseeker-password.ini" file. This file also contains some other settings related to passwords. Currently: "should we remember anything, and if so, how much should we remember".

- Password connection dialog suggests passwords for given server basing on its game, name and address and port. Basing on combination of these factors the best fit is picked for a given server.

- Passwords can be managed through configuration dialog. You can delete stored passwords and view on which recent servers they were used. You can also remove particular servers from passwords without removing the passwords themselves. If cleared of servers, passwords won't be suggested anywhere, but you can still pick them from password dialog.

- All remembered passwords are displayed in password dialog combo box.

- Some old settings have been removed (last used password) or shifted and reset (remember passwords checkbox). I don't think that either is a problem as the first one was made obsolete and the another one can be easily re-enabled when necessary.


Screenshot of the manager has been attached.


Things to consider for the future:

- Remembering RCON and in-game passwords. Differentiating between them to provide best suggestions. Each can be stored as a separate set, or the purpose of the password can be marked with a flag somewhere.
User avatar (0007604)
Blzut3 (administrator)
2013-11-25 21:25

Other than the table looking like they have the default cell size (huge) the feature looks fine to me.

As for space bar passwords, I don't see why we shouldn't remember them. I don't think there's any reason Zandronum can't have such a password set provided you wrap the password in quotes. I'm certainly not sure what the point of specific code to disallow them is?
User avatar (0007605)
Zalewa (developer)
2013-11-25 21:45

Whitespace passwords look like nothing and it's easy to store them by mistake. But if you say that the game allows them then I won't block them either.

As for the cell sizes: I've just added row resize calls for both tables. I hope this is satisfactory.
User avatar (0007621)
Zalewa (developer)
2013-11-27 18:26

Done. Beta build can be downloaded from the URL below or from "Beta" auto-update channel.

http://devbuilds.drdteam.org/doomseeker/doomseeker%200.11%20Beta-131127-1812.zip [^]
User avatar (0007634)
DevilHunter (reporter)
2013-11-29 16:44

Works just fine. Nice Job, and Thanks :p

Issue Community Support
This issue is already marked as resolved.
If you feel that is not the case, please reopen it and explain why.
Supporters: No one explicitly supports this issue yet.
Opponents: No one explicitly opposes this issue yet.

- Issue History
Date Modified Username Field Change
2011-11-11 19:53 Zalewa New Issue
2011-11-12 20:42 Blzut3 Note Added: 0002302
2011-11-12 20:46 Zalewa Note Added: 0002303
2013-11-15 04:59 Blzut3 Relationship added has duplicate 0001580
2013-11-15 05:08 DevilHunter Note Added: 0007560
2013-11-15 17:11 Zalewa Note Added: 0007561
2013-11-15 17:11 Zalewa Assigned To => Zalewa
2013-11-15 17:11 Zalewa Status new => assigned
2013-11-25 19:38 Zalewa Note Added: 0007602
2013-11-25 19:38 Zalewa Status assigned => feedback
2013-11-25 19:38 Zalewa Assigned To Zalewa => Blzut3
2013-11-25 19:38 Zalewa Status feedback => assigned
2013-11-25 19:38 Zalewa Status assigned => feedback
2013-11-25 19:53 Zalewa File Added: doomseeker-server-passwords-manager.jpg
2013-11-25 19:53 Zalewa Note Added: 0007603
2013-11-25 19:53 Zalewa Status feedback => assigned
2013-11-25 21:19 Zalewa Status assigned => feedback
2013-11-25 21:25 Blzut3 Note Added: 0007604
2013-11-25 21:45 Zalewa Note Added: 0007605
2013-11-25 21:45 Zalewa Status feedback => assigned
2013-11-25 23:10 Zalewa Assigned To Blzut3 => Zalewa
2013-11-27 18:26 Zalewa Note Added: 0007621
2013-11-27 18:26 Zalewa Status assigned => needs testing
2013-11-29 16:44 DevilHunter Note Added: 0007634
2013-11-29 17:31 Zalewa Status needs testing => resolved
2013-11-29 17:31 Zalewa Fixed in Version => 0.11.1 Beta
2013-11-29 17:31 Zalewa Resolution open => fixed
2018-09-29 14:46 WubTheCaptain Status resolved => closed






Questions or other issues? Contact Us.

Links


Copyright © 2000 - 2021 MantisBT Team
Powered by Mantis Bugtracker